/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.domains.parser;


public class EnsemblDomainsEntry extends ProteinDomainEntry
{
  public static int COL_PROTID = 0;
  public static int COL_HITTYPE = 1;
  public static int COL_ID = 2;
  public static int COL_IPR_ID = 3;
  public static int COL_SHORT_NAME = 4;
  public static int COL_LONG_NAME = 5;
  public static int COL_FROM = 6;
  public static int COL_TO = 7;
  public static int COL_E_VALUE = 8;
  public static int COL_SCORE1 = 9;
  public static int COL_SCORE2 = 10;
  
  
  public EnsemblDomainsEntry(String[] columns)
  {
    super(columns);
  }
  
  public String getProteinID(){
    return this.getColumn(COL_PROTID);
  }
  
  public String getHitType(){
    return this.getColumn(COL_HITTYPE);
  }
  public String getID(){
    return this.getColumn(COL_ID);
  }
  public String getInterProScan(){
    return this.getColumn(COL_IPR_ID);
  }
  public String getShortName(){
    return this.getColumn(COL_SHORT_NAME);
  }
  public String getLongName(){
    return this.getColumn(COL_LONG_NAME);
  }
  public int getFrom(){
    return Integer.parseInt(this.getColumn(COL_FROM));
  }
  public int getTo(){
    return Integer.parseInt(this.getColumn(COL_TO));
  }
  public double getEValue(){
    return Float.parseFloat(this.getColumn(COL_E_VALUE));
  }
  public double getScore1(){
    return Double.parseDouble(this.getColumn(COL_SCORE1));
  }
  public double getScore2(){
    return Double.parseDouble(this.getColumn(COL_SCORE2));
  }

}
