/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.domains.parser;

import java.io.File;
import java.io.IOException;

import at.tugraz.genome.biojava.db.FormatDefinitionInterface;

public class EnsemblDomainsFormatDefinition implements FormatDefinitionInterface
{

  @Override
  public String getEntryDelimiter()
  {
    return "\t";
  }

  @Override
  public String getSndEntryDelimiter()
  {
    return null;
  }

  @Override
  public boolean isStartDelimited()
  {
    return false;
  }

  @Override
  public boolean hasHeader()
  {
    return true;
  }

  @Override
  public int getNHeaderLines()
  {
    return 5;
  }

  @Override
  public String getHeaderDelimiter()
  {
    return "#";
  }

  @Override
  public boolean validateFile(File inputFile) throws IOException
  {
    return false;
  }

}
