/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.domains.parser;


public class PFAMDomainsEntry extends ProteinDomainEntry
{
  public static int COL_UNIPROTID = 0;
  public static int COL_ALIGNMENT_FROM = 1;
  public static int COL_ALIGNMENT_TO = 2;
  public static int COL_ENVELOPE_FROM = 3;
  public static int COL_ENVELOPE_TO = 4;
  
  public static int COL_HMM_ACC = 5;
  public static int COL_HMM_NAME = 6;
  
  public static int COL_HMM_TYPE = 7;
  
  public static int COL_HMM_START = 8;
  public static int COL_HMM_END = 9;
  public static int COL_HMM_LENGTH = 10;
  
  public static int COL_BITSCORE = 11;
  public static int COL_EVALUE = 12;
  
  public static int COL_CLAN = 13;
  
  
  public PFAMDomainsEntry(String[] columns)
  {
    super(columns);
  }

  @Override
  public String getProteinID()
  {
    return this.getColumn(COL_UNIPROTID);
  }

  @Override
  public String getHitType()
  {
    return this.getColumn(COL_HMM_TYPE);
  }

  @Override
  public String getShortName()
  {
    return this.getColumn(COL_HMM_NAME);
  }

  @Override
  public int getFrom()
  {
    return Integer.parseInt(this.getColumn(COL_ALIGNMENT_FROM));
  }

  @Override
  public int getTo()
  {
    return Integer.parseInt(this.getColumn(COL_ALIGNMENT_TO));
  }

  @Override
  public String getID()
  {
    return this.getColumn(COL_HMM_ACC);
  }
  
  

  

}
