/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.domains.parser;

import at.tugraz.genome.biojava.io.dsv.DSVEntry;

public abstract class ProteinDomainEntry extends DSVEntry
{

  public ProteinDomainEntry(String[] columns)
  {
    super(columns);
  }
  
  public abstract String getProteinID();
  public abstract String getHitType();
  public abstract String getShortName();
  public abstract int getFrom();
  public abstract int getTo();
  public abstract String getID();
  
  
  
}
