/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.parser;

/*****************************************************************************************
 * Title:       BedFormatDefinition<br>
 * Description: Class describing Bed format.<br>
 * Package:     at.tugraz.genome.biojava.ann.bed<br>
 * Project:     [CommonBioJava]<br><br>
 *
 * Copyright: Copyright (c) 2010<br>
 * Company:   Institute of Genomics and Bioinformatics, Graz University of Technology<br>
 * Date:      Apr 8, 2010<br>
 * @author    Maria Fischer, maria.fischer@tugraz.at<br>
 * @implements {@link FormatDefinitionInterface}<br>
 ****************************************************************************************/

import java.io.File;

import at.tugraz.genome.biojava.db.FormatDefinitionInterface;

public class BedFormatDefinition implements FormatDefinitionInterface {

  public String getEntryDelimiter() {
    return null;
  }

  public String getSndEntryDelimiter() {
    return null;
  }

  public boolean isStartDelimited() {
    return false;
  }
  
  public boolean hasHeader() {
    return false;
  }
  
  public int getNHeaderLines() {
    return FormatDefinitionInterface.UNDEF_NO_HEADER_LINES;
  }

  public String getHeaderDelimiter() {
    return FormatDefinitionInterface.UNDEF_HEADER_DELIMITER;
  }
  
  public boolean validateFile(File inputFile) {
    // FIXME: can bed file format be validated?
    return true;
  }

}
