/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.parser;

import at.tugraz.genome.biojava.io.dsv.DSVEntry;

public class EnsemblUniprotEntry extends DSVEntry
{
  
  /**
   * ENST00000335510 ENSP00000335281 Q8NG35  ENSG00000186599 defensin, beta 105B     DEFB105B
   */
  public static int COL_TRANSCRIPT_ID = 0;
  public static int COL_PROTEIN_ID = 1;
  public static int COL_UNIPROT = 2;
  public static int COL_ENSEMBL_GENE_ID = 3;
  public static int COL_GENE_FULLNAME = 4;
  public static int COL_GENE_SYMBOL = 5;
  
  
  public EnsemblUniprotEntry(String[] columns)
  {
    super(columns);
  }
  
  public String getEnsemblGeneID(){
    return this.getColumn(COL_ENSEMBL_GENE_ID);
  }
  
  public String getGeneSymbol(){
    return this.getColumn(COL_GENE_SYMBOL);
  }
  
  public String getGeneFullName(){
    return this.getColumn(COL_GENE_FULLNAME);
  }
  
  public String getEnsemblTranscriptID(){
    return this.getColumn(COL_TRANSCRIPT_ID);
  }
  
  public String getEnsemblProteinID(){
    return this.getColumn(COL_PROTEIN_ID);
  }
  public String getProteinUniprotId(){
    return this.getColumn(COL_UNIPROT);
  }

}
