/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.parser;

import at.tugraz.genome.biojava.io.dsv.DSVEntry;

public class RefseqUniprotEntry extends DSVEntry
{
  public static int COL_NM = 0;
  public static int COL_NP = 1;
  public static int COL_PID = 2;
  public static int COL_GID = 3;
  public static int COL_FULLNAME = 4;
  public static int COL_GENESYMBOL = 5;
  
  
  public RefseqUniprotEntry(String[] columns)
  {
    super(columns);
  }
  
  public String getProteinRefseqID(){
    return this.getColumn(COL_NP);
  }
  
  public String getTranscriptRefseqID(){
    return this.getColumn(COL_NM);
  }
  public String getProteinUniprotId(){
    return this.getColumn(COL_PID);
  }
  
  public String getGeneID(){
    return this.getColumn(COL_GID);
  }
  
  public String getGeneFullName(){
    return this.getColumn(COL_FULLNAME);
  }
  public String getGeneSymbol(){
    return this.getColumn(COL_GENESYMBOL);
  }
  

}
