/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.loader.parser;

import at.tugraz.genome.biojava.db.FormatDefinitionInterface;
import at.tugraz.genome.biojava.io.EntryCreationException;
import at.tugraz.genome.biojava.io.dsv.AbstractDSVParser;

public class RefseqUniprotParser extends AbstractDSVParser<RefseqUniprotEntry>
{

  public RefseqUniprotParser()
  {
    super(0, "\t");
  }
  
  @Override
  public FormatDefinitionInterface getFormatDefinition(){
    return new TabDelimitedFormatDefinition();
  }

  @Override
  public RefseqUniprotEntry parseEntry(String content) throws EntryCreationException
  {
    String[] columns = parseColumns(content);
    return new RefseqUniprotEntry(columns);
  }
  

}
