/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.regions;

import java.util.TreeSet;


public class GPVHighlightedRegionSet
{
  private String setName;
  private TreeSet<GPVHighlightedRegion> regions = new TreeSet<GPVHighlightedRegion>();
  private boolean enabled = true;
  private boolean needsDynamicVariantScheme = false;
  
  public String getSetName()
  {
    return setName;
  }
  public void setSetName(String setName)
  {
    this.setName = setName;
  }
  public TreeSet<GPVHighlightedRegion> getRegions()
  {
    return regions;
  }
  public void setRegions(TreeSet<GPVHighlightedRegion> regions)
  {
    this.regions = regions;
  }
  public void addRegion(GPVHighlightedRegion region){
    region.setParentSet(this);
    this.regions.add(region);
  }
  public boolean isEnabled()
  {
    return enabled;
  }
  public void setEnabled(boolean enabled)
  {
    this.enabled = enabled;
  }

  public boolean isNeedsDynamicVariantScheme()
  {
    return needsDynamicVariantScheme;
  }
  public void setNeedsDynamicVariantScheme(boolean needsDynamicVariantScheme)
  {
    this.needsDynamicVariantScheme = needsDynamicVariantScheme;
  }
  public void updateChildren(){
    for(GPVHighlightedRegion region:regions)region.setParentSet(this);
  }
}
