/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.data.sorting;


import at.icbi.gpviz.data.GPVGene;

public class GenomicOrderGeneSorter extends GeneSorter
{

  public GenomicOrderGeneSorter(boolean descending){
    super(descending);
  }

  @Override
  public int compareImpl(GPVGene o1, GPVGene o2)
  {
    int comp = 0;
    comp = o1.getChromosome().compareTo(o2.getChromosome());

    if(comp!=0)return comp;

    comp = o1.getFirstKnownPosition() - o2.getLastKnownPosition();

    return comp;
  }

}
