/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.drawing.colorscheme;

import java.awt.Color;

import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import at.icbi.gpviz.xml.RGBColorAdapter;

public class ColorProvider implements Cloneable
{
  private Color[] colors;
  private int current = 0;
  
  public ColorProvider(){
    Color[] colors = new Color[8];
    colors[0] = Color.red;
    colors[1] = Color.blue;
    colors[2] = Color.yellow;
    colors[3] = Color.green;
    colors[4] = Color.pink;
    colors[5] = Color.cyan;
    colors[6] = Color.orange;
    colors[7] = Color.magenta;
  }
  
  public ColorProvider(Color[] colors){
    this.colors = colors;
  }
  

  public Color next(){
    if(current>=colors.length){
      current = 0;
    }
    return colors[current++];
  }

  @XmlJavaTypeAdapter(RGBColorAdapter.class)
  public Color[] getColors()
  {
    return colors;
  }

  public void setColors(Color[] colors)
  {
    this.colors = colors;
  }

  public int getCurrent()
  {
    return current;
  }

  public void setCurrent(int current)
  {
    this.current = current;
  }
  
  
}
