/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.drawing.variantshapes.shapes;

import java.awt.Shape;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;

public class GPVShapeSquare extends GPVWrapperShape
{
  public GPVShapeSquare(boolean filled){
    super(filled);
  }
  
  @Override
  protected Shape createShape()
  {
    return new Rectangle2D.Double((top_anchor.getX()-width/2d), top_anchor.getY(), width, height);
  }

  @Override
  public String getName()
  {
    return "Square";
  }
  
  @Override
  public Point2D getLineAnchor()
  {
    return new Point2D.Double(top_anchor.getX(), top_anchor.getY()+height);
  }
  
}
