/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.drawing.variantshapes.shapes;

import java.awt.Polygon;
import java.awt.Shape;
import java.awt.geom.Point2D;

public class GPVShapeUSDTriangle extends GPVWrapperShape
{
  public GPVShapeUSDTriangle(boolean filled){
    super(filled);
  }
  
  @Override
  protected Shape createShape()
  {
    int x_coords[] = new int[]{
        (int)(top_anchor.getX()-width/2d), (int)(top_anchor.getX()+width/2d),(int)top_anchor.getX()
    };
    int y_coords[] = new int[]{
        (int)top_anchor.getY(), (int)top_anchor.getY(),(int)(top_anchor.getY()+height)
    };
    return new Polygon(x_coords, y_coords, 3);
  }

  @Override
  public String getName()
  {
    return "Triangle 2";
  }
  
  @Override
  public Point2D getLineAnchor()
  {
    return new Point2D.Double(top_anchor.getX(), top_anchor.getY()+height);
  }
  
}
