/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.swing;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.geom.Rectangle2D;

import javax.swing.JButton;
import javax.swing.JPanel;

public class BlockingGlassPane extends JPanel implements MouseListener
{
  private static final long serialVersionUID = 8566115405230965194L;

  private JButton exception;

  public BlockingGlassPane(JButton exception)
  {
    addMouseListener(this);
    setOpaque(false);
    this.exception = exception;
  }

  public void mouseClicked(MouseEvent e)
  {
    if(!this.isVisible() || !this.exception.isVisible())return;
    Rectangle2D bounds = new Rectangle2D.Double(exception.getLocationOnScreen().getX(), exception.getLocationOnScreen().getY(), exception.getWidth(), exception.getHeight());
    if(bounds.contains(e.getLocationOnScreen())){
      exception.doClick();
    }
  }

  public void mouseEntered(MouseEvent e)
  {
  }

  public void mouseExited(MouseEvent e)
  {
  }

  public void mousePressed(MouseEvent e)
  { 
  }

  public void mouseReleased(MouseEvent e)
  {
  }
  
}
