/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.swing.canvas;

import java.util.Map.Entry;
import java.util.TreeMap;

public class Footnotes
{
  private TreeMap<Integer,String> footnotes = new TreeMap<Integer,String>();
  private Integer lastIndex = 0;
  
  public TreeMap<Integer,String> getFootnotes(){
    return footnotes;
  }
  
  public void addFootnote(String toadd){
    if(!contains(toadd)){
      footnotes.put(++lastIndex, toadd);
    }
  }
  
  public boolean contains(String name){
    return footnotes.containsValue(name);
  }
  
  public Integer getIndexOf(String name){
    for(Entry<Integer,String> entry:footnotes.entrySet()){
      if(entry.getValue().equals(name)){
        return entry.getKey();
      }
    }
    return null;
  }
  
  public int size(){
    return footnotes.size();
  }
  
  public static String footNoteToString(Integer key, String name){
    return "*"+key+" = "+name;
  }
  
}
