/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.swing.detailpane;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JPopupMenu;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import at.icbi.gpviz.data.util.TableWriter;

public class SimpleTablePanel extends JPanel implements MouseListener, TableContainer
{
  private static final long serialVersionUID = -76618243943250909L;

  protected JTable table;

  public SimpleTablePanel(){
    this.setLayout(new BorderLayout());

    JScrollPane scrollPane = new JScrollPane();
    add(scrollPane, BorderLayout.CENTER);

    table = new JTable();
    table.setAutoCreateRowSorter(true);
    scrollPane.setViewportView(table);
    table.addMouseListener(this);
    this.addMouseListener(this);
    
  }

  class TablePopupMenu extends JPopupMenu implements ActionListener{
    private static final long serialVersionUID = 6510295145065828413L;
    
    private JMenuItem saveTable = new JMenuItem("Save table...");
    public TablePopupMenu(){
      saveTable.addActionListener(this);
      this.add(saveTable);
    }
    @Override
    public void actionPerformed(ActionEvent e)
    {
      if(e.getSource()==saveTable){
        new TableWriter().writeTable(table);
      }
    }
  }

  @Override
  public void mouseClicked(MouseEvent e)
  {

  }

  @Override
  public void mousePressed(MouseEvent e)
  {
    if(e.isPopupTrigger() && table.getRowCount()>0){
      new TablePopupMenu().show(this, e.getPoint().x, e.getPoint().y);
    }
  }

  @Override
  public void mouseReleased(MouseEvent e)
  {
    
  }

  @Override
  public void mouseEntered(MouseEvent e)
  {
    
  }

  @Override
  public void mouseExited(MouseEvent e)
  {
    
  }

  @Override
  public JTable getTable()
  {
    return table;
  }
}


