/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.swing.sidebar;

import java.awt.Dimension;

import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;

import at.icbi.gpviz.swing.MainWindow;

public class Sidebar extends JTabbedPane
{
  private static final long serialVersionUID = 7178796965752540465L;
  private MainWindow parent;
  private DisplayPropertiesPanel displayProperties;
  
  public Sidebar(MainWindow parent){
    this.parent = parent;
    
    this.setMinimumSize(new Dimension(0,0));
    
    displayProperties = new DisplayPropertiesPanel(parent);
    JScrollPane displayPropertiesScrollPanel = new JScrollPane();
    displayPropertiesScrollPanel.setMinimumSize(new Dimension(0,0));
    displayPropertiesScrollPanel.setViewportView(displayProperties);
    displayPropertiesScrollPanel.getVerticalScrollBar().setUnitIncrement(16);
    
    this.addTab("Figure", displayPropertiesScrollPanel);
  }
  
  public DisplayPropertiesPanel getDisplayPropertiesPanel(){
    return displayProperties;
  }
}
