/**
 *   GPViz: software for dynamic gene-centered visualization of genomic regions and/or variants
 *    Copyright (C) 2013  Rene Snajder
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package at.icbi.gpviz.xml;

import java.awt.Color;

import javax.xml.bind.annotation.adapters.XmlAdapter;

public class RGBColorAdapter extends XmlAdapter<MappableRGBColor,Color> 
{

  @Override
  public Color unmarshal(MappableRGBColor v) throws Exception
  {
    return new Color(v.getRgb());
  }

  @Override
  public MappableRGBColor marshal(Color v) throws Exception
  {
    MappableRGBColor ret = new MappableRGBColor();
    ret.setRgb(v.getRGB());
    return ret;
  }

}
